# TelegramAPIUrlsKeeper - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.utils / TelegramAPIUrlsKeeper

# TelegramAPIUrlsKeeper

(common) `class TelegramAPIUrlsKeeper` (source)

### Constructors

(common)

#### <init>

`TelegramAPIUrlsKeeper(token: String, hostUrl: String = "https://api.telegram.org")`

### Properties

(common)

#### commonAPIUrl

`val commonAPIUrl: String`

(common)

#### fileBaseUrl

`val fileBaseUrl: String`

### Extension Functions

(common)

#### resolveFileURL

`fun TelegramAPIUrlsKeeper.resolveFileURL(file: PathedFile): String`